Skip to main content
Back to API List

Update a Skill Group

To update the particular skill group with the given streamId and skillGroupId.
MethodPUT
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{id}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

PARAMETERDESCRIPTIONTYPE
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{id}}' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
      "name": "Account Management",
      "description": "Manage Account and its Settings",
      "color": "#f0f0f0"
   }'

Body Parameters

PARAMETERDESCRIPTIONTYPE
idId of the skill Group which you can find with GET /skill-groups. Example: 620b814ca2344f1caa8cec99string, required
nameName of the skill Group.string, required
descriptionBrief description of the skill group up to 200 characters.string, optional
colorColor id of the color you want for skill group up to 200 characters. Example: sg-4372string, optional

Sample Response

 {
    "id": "620b814ca2344f1caa8cxxxx",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "color": "#f0f0f0"
  }